This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 862900 (CVE-2012-4461)

Summary: CVE-2012-4461 kernel: kvm: invalid opcode oops on SET_SREGS with OSXSAVE bit set
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, anton, dhoward, fhrbata, gleb, juzhang, kernel-mgr, knoel, lersek, lwang, michen, mtosatti, pbonzini, security-response-team, sforsber, shuang, xfu
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121106,reported=20120927,source=upstream,cvss2=4.7/AV:L/AC:M/Au:N/C:N/I:N/A:C,rhel-5/kvm=notaffected,rhel-6/kernel=affected,mrg-2/realtime-kernel=notaffected,fedora-all/kernel=affected,rhel-6.2.z/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-30 10:35:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 862903, 862904, 878518, 953234    
Bug Blocks: 862923    

Description Petr Matousek 2012-10-03 16:36:26 EDT
A flaw has been found in the way Linux kernel's KVM subsystem handled vcpu->arch.cr4 X86_CR4_OSXSAVE bit set upon guest enter. On hosts without the XSAVE feature an unprivileged local user could use this flaw to crash the system.

Acknowledgements:

Red Hat would like to thank Jon Howell for reporting this issue.
Comment 3 Petr Matousek 2012-10-03 16:42:55 EDT
Statement:

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 5.

This issue did affect the version of Linux kernel as shipped with Red Hat Enterprise Linux 6.

This issue did not affect the version of Linux kernel as shipped with Red Hat Enterprise MRG 2.
Comment 30 Petr Matousek 2012-11-06 13:26:33 EST
Public now via http://article.gmane.org/gmane.comp.emulators.kvm.devel/100742
Comment 34 Fedora Update System 2012-11-21 22:52:15 EST
kernel-3.6.7-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2012-11-26 23:42:17 EST
kernel-3.6.7-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2012-11-28 06:31:32 EST
kernel-3.6.7-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 37 errata-xmlrpc 2013-02-05 14:55:59 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0223 https://rhn.redhat.com/errata/RHSA-2013-0223.html
Comment 39 errata-xmlrpc 2013-05-30 14:31:24 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.2 EUS - Server Only

Via RHSA-2013:0882 https://rhn.redhat.com/errata/RHSA-2013-0882.html